<template>
    <!-- 弹出框表单 -->
    <el-dialog :title="title" :visible.sync="open" width="90%" append-to-body>
        <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>
                                            <Field label="人脸分组" prop="faceGroupId" v-model="form.faceGroupId" placeholder="请输入人脸分组"/>
                            <Field label="名称" prop="name" v-model="form.name" type="textarea" placeholder="请输入名称"/>
                            <Field label="人脸唯一标识" prop="indexCode" v-model="form.indexCode" placeholder="请输入人脸唯一标识"/>

            </el-row>

        </el-form>
        <div slot="footer" class="dialog-footer">
            <el-button type="primary" v-if="pageInfo.type !== 'view'" @click="submitForm">确 定</el-button>
            <el-button @click="cancel">取 消</el-button>
        </div>
    </el-dialog>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    import dialogShow from "./dialogshow";
    export default {
        mixins: [form],
        components: {
            dialogShow ,
        },
        data() {
            return {
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "分组人脸信息",
                // 是否显示弹出层
                open: false,
                toString:[
                ],
                // 表单校验
                rules: {
                    name: [
                        {required: true,message: "请输入名称", trigger: "blur" },
                        {max: 255,message: "最多只能录入255个字符",trigger: "blur",},
                    ],
                    indexCode: [
                        {required: true,message: "请输入人脸唯一标识", trigger: "blur" },
                        {max: 64,message: "最多只能录入64个字符",trigger: "blur",},
                    ],
                }
            };
        },

        methods: {
            /** 编辑 */
            edit(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="face/group/person/edit";
                this.getData();
                this.pageInfo.type="edit"
                this.title = "修改分组人脸信息";
            },
            /** 新增 */
            add(row) {
                this.reset()
                this.urls.currUrl = "face/group/person/add";
                this.getData();
                this.pageInfo.type="add"
                this.title = "新增分组人脸信息";
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="face/group/person/view";
                this.getData();
                this.pageInfo.type="view"
                this.title = "分组人脸信息详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {
                this.open = true;
            },

            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    faceGroupId : null,
                    name : "",
                    indexCode : "",
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
